| Home | Libraries | People | FAQ | More

### ssl::stream_base

The stream_base class is used as a base for the boost::asio::ssl::stream class template so that we have a common place to define various enums.

    class stream_base

##### Types

Name | Description
--- | ---
handshake_type | Different handshake types.

##### Protected Member Functions

Name | Description
--- | ---
~stream_base | Protected destructor to prevent deletion through this type.